package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.StWaterDryDays;
import com.lightinit.hsdatashow.entity.StWaterDryDaysExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface StWaterDryDaysMapper {
    long countByExample(StWaterDryDaysExample example);

    int deleteByExample(StWaterDryDaysExample example);

    int deleteByPrimaryKey(Long id);

    int insert(StWaterDryDays record);

    int insertSelective(StWaterDryDays record);

    List<StWaterDryDays> selectByExample(StWaterDryDaysExample example);

    StWaterDryDays selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") StWaterDryDays record, @Param("example") StWaterDryDaysExample example);

    int updateByExample(@Param("record") StWaterDryDays record, @Param("example") StWaterDryDaysExample example);

    int updateByPrimaryKeySelective(StWaterDryDays record);

    int updateByPrimaryKey(StWaterDryDays record);
}